%define their_name noip-duc-linux

Summary: Linux client for the no-ip.com dynamic DNS service
Name:		noip
Version:	2.1.1
Release:	%mkrel 4
License:	GPL
Group:		Networking/Other
Source0:	http://www.no-ip.com/client/linux/%{their_name}.tar.bz2
Source1:	noip-initscript.bz2
Patch0:		%{name}-Makefile.patch.bz2
Patch1:		%{name}-config_location.patch.bz2
URL:		http://www.no-ip.com/
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires(pre): rpm-helper
Requires(post): rpm-helper

%description
This is the No-IP.com Dynamic DNS update client page.

When configured correctly, the client will check your IP address at a
given time interval checking to see if your IP has changed. If your IP
address has changed it will notify No-IP DNS servers and update the IP
corresponding to your No-IP/No-IP+ hostname.

NOTE: You must add hostnames on the website (http://www.no-ip.com)
first before you can have the updater update them.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
mv -f %{name}2.c %{name}.c

%build

perl -pi -e "s/CCFLAGS=.*/CCFLAGS=$RPM_OPT_FLAGS/" Makefile
%{make} \
  PREFIX=%{_prefix} CONFDIR=%{_sysconfdir} \

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std} \
  CONFDIR=%{_sysconfdir} \
  PREFIX=%{_prefix} \
  DESTDIR=$RPM_BUILD_ROOT
touch $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf
mkdir -p $RPM_BUILD_ROOT/%{_initrddir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/%{_initrddir}/%{name}

cat > README.urpmi << EOF
To configure the noip deamon, run noip -C as root.
This command will set the corrects parameters in /etc/noip.conf.
Then you can start the deamon with service noip start
EOF

%post
%create_ghostfile %{_sysconfdir}/%{name}.conf root root 600
%_post_service  %{name}

%preun
%_preun_service %{name}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.FIRST README.urpmi
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_initrddir}/%{name}
%ghost %{_sysconfdir}/%{name}.conf

%changelog
* Sun Apr 16 2006 Couriousous <couriousous@mandriva.org> 2.1.1-4mdk
- Add LSB info

* Mon Mar 21 2005 Couriousous <couriousous@mandrake.org> 2.1.1-3mdk
- Add an information message

* Fri Mar 18 2005 Couriousous <couriousous@mandrake.org> 2.1.1-2mdk
- Fix bug #13804 ( initscript rewritten from scratch )
- Don't package an empty file

* Tue Oct 26 2004 Florin <florin@mandrakesoft.com> 2.1.1-1mdk
- first Mandrake release

